/******************************************************************************

   FILE:		rs08_periph.h

   AUTHOR:	Axiom Manufacturing

	PURPOSE	RS08 Peripheral Function Header File

 ******************************************************************************/

#define DIV1	0
#define DIV2	1
#define DIV4	2
#define DIV8	3
#define DIV16	4
#define DIV32	5
#define DIV64	6
#define DIV128	7

#define SW1			PTAD_PTAD2
#define SW2			PTAD_PTAD3
#define LED1_ON	PTBD_PTBD4 = 0
#define LED2_ON	PTBD_PTBD5 = 0
#define LED1_OFF	PTBD_PTBD4 = 1
#define LED2_OFF	PTBD_PTBD5 = 1


// Function Prototypes
void disable_cop(void);				// disable COP
void tpm_init(void);					// init TPM
void update_ics_trim(void);		// update ICS TRIM value
void mcu_init(void);					// init MCU peripherals
void sw1_test(void);					// test for SW1 press
void sw2_test(void);					// test for SW2 press
void adc_init(void);					// init ADC

void set_tpm_ch(byte ch_num);		// set TPM output channel
void adc_test(byte adc_ch);		// convert selected ADC input
void adc_led_control(byte value);// control LEDs from ADC converted value
